Bug 1185851 - kf5-ksysguard-5.1.2-1.fc21.x86_64 conflicts with file from package ksysguard-4.11.14-3.fc21.x86_64
Summary: kf5-ksysguard-5.1.2-1.fc21.x86_64 conflicts with file from package ksysguard-...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libksysguard
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: KDE SIG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: plasma5
TreeView+ depends on / blocked
 
Reported: 2015-01-26 12:46 UTC by Sudhir Khanger
Modified: 2015-04-21 18:35 UTC (History)
7 users (show)

Fixed In Version: libksysguard-5.2.2-2.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-05 01:39:32 UTC


Attachments (Terms of Use)

Description Sudhir Khanger 2015-01-26 12:46:24 UTC
Description of problem:



Transaction check error:
  file /usr/share/dbus-1/system-services/org.kde.ksysguard.processlisthelper.service from install of kf5-ksysguard-5.1.2-1.fc21.x86_64 conflicts with file from package ksysguard-4.11.14-3.fc21.x86_64
  file /usr/share/polkit-1/actions/org.kde.ksysguard.processlisthelper.policy from install of kf5-ksysguard-5.1.2-1.fc21.x86_64 conflicts with file from package ksysguard-4.11.14-3.fc21.x86_64


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. yum install plasma-5
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Daniel Vrátil 2015-01-29 11:10:20 UTC
This should be fixed by Plasma 5.2.0 update available in Copr now.

Comment 2 Sudhir Khanger 2015-04-04 10:31:16 UTC
file /usr/share/dbus-1/system-services/org.kde.ksysguard.processlisthelper.service from install of libksysguard-common-5.2.2-1.fc21.x86_64 conflicts with file from package ksysguard-4.11.16-3.fc21.x86_64
  file /usr/share/polkit-1/actions/org.kde.ksysguard.processlisthelper.policy from install of libksysguard-common-5.2.2-1.fc21.x86_64 conflicts with file from package ksysguard-4.11.16-3.fc21.x86_64

I hit this bug again.

Freshly installed F21, fully update, install kf5-\* and then plasma-5 from COPR.

Comment 3 Rex Dieter 2015-04-05 01:39:32 UTC
You're hitting this because 'plasma-5' metapackage isn't pulling in a newer ksysguard-5.2.x in the same transaction.

libksysguard:

%changelog
* Sat Apr 04 2015 Rex Dieter <rdieter@fedoraproject.org> - 5.2.2-2
- -common: Conflicts: ksysguard < 5.2 (#1185851)
- -devel: Conflicts: kde-workspace-devel < 1:4.11.16-11

Comment 4 Fedora Update System 2015-04-06 12:04:26 UTC
libksysguard-5.2.2-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/libksysguard-5.2.2-2.fc22

Comment 5 Fedora Update System 2015-04-21 18:35:36 UTC
libksysguard-5.2.2-2.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.